# class Prism::Relocation::FilepathField

A field that represents the file path.

### Attributes

value [R]

The file path that this field represents.

### Public Class Methods

new (value)
Source

    # File lib/prism/relocation.rb, line 190
    def initialize(value)
      @value = value
    end

Initialize a new field with the given file path.

### Public Instance Methods

fields (_value)
Source

    # File lib/prism/relocation.rb, line 195
    def fields(_value)
      { filepath: value }
    end

Fetch the file path.